using System;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace QuickBooksContext
{
    class QuickBooksContext : DbContext
    {
        public DbSet<Accounts> Account { set; get; }

        public QuickBooksContext() { }
        
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            // To remove the requests to the Migration History table
            Database.SetInitializer<QuickBooksContext>(null);  
            // To remove the plural names
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }  

    }
}
